import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/tomahawk-jupiter/b89c2b08a6b545cedec90c0b7b1d54ce/raw/c7eebbc7605957425eb30a7196443c002ed6e1b4/BattleTrafalgarLineShips.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d['Complement'] = +d['Complement'];
      d['Total Casualties'] = +d['Total Casualties'];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
