
import { useState } from 'react';



export const Marks = ({ data, yScale, xScale, yValue, xValue, fateOnDay, tooltipFormat }) => {
  const [show, setShow] = useState(null);
  const [mousePosition, setMousePosition] = useState({mX: null, mY: null});
  	
const handleMouseOver = (event) => {

  setShow(event.target.id);
  setMousePosition({mX: event.clientX, mY: event.clientY-30});
};
  
  const handleMouseOut = () => {
  	setShow(null);
    setMousePosition({mX: null, mY: null});
  };
 
 return data.map((d) => (
   <>
      <rect
        onMouseOver={handleMouseOver}
        onMouseOut={handleMouseOut}
        id={yValue(d)+' : '+xValue(d)+' : '+fateOnDay(d)}
        key={yValue(d)}
        className='marks'
        fill={d.Fleet == 'Royal Navy'?'#c8102e'
       : d.Fleet == 'French Navy'?'#0072bb'
       : '#F9D73D'}
        x={0}
        y={yScale(yValue(d))}
        width={xScale(xValue(d))}
        height={yScale.bandwidth()}
      >

        </rect>
     <text
       className='tooltip'
       x={mousePosition.mX}
       y={mousePosition.mY}
       >{show}</text>
   </>
    ));
};
  
//<title>{tooltipFormat(xValue(d))}</title>